<?php
if ( ! function_exists( 'story_news_setup' ) ) :
	function story_news_setup() {
		add_theme_support( "title-tag");
		add_theme_support( 'automatic-feed-links' );
		add_theme_support(
			'custom-background',
			apply_filters(
				'newspress_custom_background_args',
				array(
					'default-color' => '#ffffff',
					'default-image' => '',
				)
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'story_news_setup' );


function story_news_customizer_default_settings() {
	set_theme_mod( 'walkerpress_primary_color', '#0aa49d' );
	set_theme_mod('walkerpress_secondary_color', '#c80909' );
	set_theme_mod('walkerpress_navigation_primary_color','#ffffff');
	set_theme_mod('walkerpress_navigation_color','#222222');
	set_theme_mod('walkerpress_topbarbg_color', '#ffffff' );
	set_theme_mod('walkerpress_header_text_color','#222222');
	set_theme_mod('walkerpress_header_site_name_color','#0aa49d');
	set_theme_mod('walkerpress_home_boxes_padding','1');

	
}
add_action( 'after_switch_theme', 'story_news_customizer_default_settings' );

function story_news_enqueue_scripts() {
    wp_enqueue_style( 'walkerpress-style', get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'voice-maganews-style',get_stylesheet_directory_uri() . '/style.css',array('walkerpress-style'));
	wp_enqueue_script( 'story-news-scripts', get_stylesheet_directory_uri() . '/js/story-news-scripts.js', array('jquery'), '', true );
}
add_action( 'wp_enqueue_scripts', 'story_news_enqueue_scripts' );

/*
* Unregister unused customizer section for theme
*/
function story_news_unregister_extra_section( $wp_customize ) {
    $wp_customize->remove_section('walkerpress_trendingtags_options');
	$wp_customize->remove_section('walkerpress_focus_options');
	$wp_customize->remove_control('latest_post_heading');
	$wp_customize->remove_control('popular_post_heading');
}
add_action( 'customize_register', 'story_news_unregister_extra_section', 11 );

if(!function_exists('story_news_footer_copyright')){
	function story_news_footer_copyright(){?>
	<div class="walkerwp-wraper footer-copyright-wraper">
		<?php
		if(get_theme_mod('copyright_text_alignment') =='copyright-text-align-center'){
			$copyright_text_align_class ="text-center";
		}else{
			$copyright_text_align_class ="text-left";
		}
		$walkerpress_copyright = get_theme_mod('footer_copiright_text');
		?>

		<div class="walkerwp-container credit-container <?php echo esc_attr($copyright_text_align_class);?>">
			<?php
			$current_footer_layout = get_theme_mod('walkerpress_footer_layout','footer-layout-one');
			if($current_footer_layout=='footer-layout-three'){
				 
				if($walkerpress_copyright && walkerpress_set_to_premium() ){?>
				<div class="site-info <?php echo esc_attr($copyright_text_align_class);?>"><?php echo wp_kses_post($walkerpress_copyright);?></div>
			<?php } else{ ?>
				<div class="site-info">
					<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'story-news' ) ); ?>">
						<?php
						/* translators: %s: CMS name, i.e. WordPress. */
						printf( esc_html__( 'Proudly powered by %s', 'story-news' ), 'WordPress' );
						?>
					</a>
					<span class="sep"> | </span>
						<?php
						/* translators: 1: Theme name, 2: Theme author. */
						printf( esc_html__( 'Theme: %1$s by %2$s.', 'story-news' ), 'story-news', '<a href="http://walkerwp.com/">WalkerWP</a>' );
						?>

				</div><!-- .site-info -->
			<?php } 
			if( get_theme_mod('footer_copyright_social_status','true')){?>
					<div class="footer-social-media"><?php walkerpress_header_social_media();?></div>
				<?php }
			}else{?>
				<div class="footer-social-media walkerwp-grid-12">
				<?php	
				if( get_theme_mod('footer_copyright_social_status','true')){
					walkerpress_header_social_media();
				}
				?>
				</div>
			<?php
				
			if($walkerpress_copyright && walkerpress_set_to_premium() ){?>
				<div class="site-info walkerwp-grid-12 <?php echo esc_attr($copyright_text_align_class);?>"><?php echo wp_kses_post($walkerpress_copyright);?></div>
			<?php } else{ ?>
				<div class="site-info walkerwp-grid-12">
					<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'story-news' ) ); ?>">
						<?php
						/* translators: %s: CMS name, i.e. WordPress. */
						printf( esc_html__( 'Proudly powered by %s', 'story-news' ), 'WordPress' );
						?>
					</a>
					<span class="sep"> | </span>
						<?php
						/* translators: 1: Theme name, 2: Theme author. */
						printf( esc_html__( 'Theme: %1$s by %2$s.', 'story-news' ), 'Story News', '<a href="http://walkerwp.com/">WalkerWP</a>' );
						?>

				</div><!-- .site-info -->
			<?php } 
			}
			?>
			</div>
		</div>
<?php }
}